%define anolis_release 1
Name:    libatomic_ops
Summary: Atomic memory update operations
Version: 7.6.14
Release: %{anolis_release}%{?dist}

# libatomic_ops MIT, libatomic_ops_gpl GPLv2
License: GPLv2 and MIT
URL:     https://github.com/ivmai/libatomic_ops/
Source0: https://github.com/ivmai/libatomic_ops/releases/download/v%{version}/libatomic_ops-%{version}.tar.gz
Patch0:  0001-libatomic_ops-7.6.14-add-loongarch.patch

BuildRequires: gcc
BuildRequires: make
Provides: libatomic1 = %{version}-%{release}

%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description  doc
Doc pages for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
Files for developing with %{name}.

%package static
Summary: Static library files for %{name}
Requires: %{name}-devel = %{version}-%{release}
%description static
Files for developing with %{name} and linking statically.


%prep
%autosetup -p1

%build
%configure \
  --enable-shared \
  --disable-silent-rules
%make_build

%install
%make_install

%generate_compatibility_deps

# omit dup'd docs
rm -fv %{buildroot}%{_docdir}/libatomic_ops/{COPYING,README*,*.txt}

%check
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/.libs/
%make_build check

%files
%license COPYING
%license doc/LICENSING.txt
%dir %{abidir}
%{_libdir}/libatomic_ops.so.1*
%{_libdir}/libatomic_ops_gpl.so.1*
%{abidir}/*.dump

%files devel
%doc doc/README*
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops/
%{_libdir}/libatomic_ops.so
%{_libdir}/libatomic_ops_gpl.so
%{_libdir}/pkgconfig/atomic_ops.pc

%files static
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a

%files doc
%doc AUTHORS ChangeLog README.md

%changelog
* Sun Mar 12 2023 Funda Wang <fundawang@yeah.net> - 7.6.14-1
- Import for anolis 23
